POST https://api.d-tools.com/SI/Publish/Vendors/Update
Update an existing vendor in SI
Request Information
URI Parameters
None.
Body Parameters
UpdateVendor| Name | Description | Type | Additional information |
|---|---|---|---|
| IntegrationId |
Integration Id of vendor to update (Must pass either IntegrationId Or Vendor Number) |
string |
None. |
| Number |
Number of vendor to update (Must pass either IntegrationId Or Vendor Number) |
string |
None. |
| UpdateFields |
List of UpdateFields for the vendor. Each UpdateField has a Id and a Value. |
Collection of UpdateVendorField |
None. |
| SiteAddress |
Vendor Site Address |
Address |
None. |
| BillingAddress |
Vendor Billing Address |
Address |
None. |
Request Formats
application/json, text/json
Sample:
{
"IntegrationId": "sample string 1",
"Number": "sample string 2",
"UpdateFields": [
{
"VendorFieldId": 64,
"Value": "sample string 2"
},
{
"VendorFieldId": 64,
"Value": "sample string 2"
}
],
"SiteAddress": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"City": "sample string 3",
"State": "sample string 4",
"PostalCode": "sample string 5",
"Country": "sample string 6",
"Phone": "sample string 7",
"Fax": "sample string 8"
},
"BillingAddress": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"City": "sample string 3",
"State": "sample string 4",
"PostalCode": "sample string 5",
"Country": "sample string 6",
"Phone": "sample string 7",
"Fax": "sample string 8"
}
}
application/x-www-form-urlencoded
Sample:
application/xml, text/xml
Sample:
<UpdateVendor xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<IntegrationId>sample string 1</IntegrationId>
<Number>sample string 2</Number>
<UpdateFields>
<UpdateVendorField>
<VendorFieldId>64</VendorFieldId>
<Value>sample string 2</Value>
</UpdateVendorField>
<UpdateVendorField>
<VendorFieldId>64</VendorFieldId>
<Value>sample string 2</Value>
</UpdateVendorField>
</UpdateFields>
<SiteAddress>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<City>sample string 3</City>
<State>sample string 4</State>
<PostalCode>sample string 5</PostalCode>
<Country>sample string 6</Country>
<Phone>sample string 7</Phone>
<Fax>sample string 8</Fax>
</SiteAddress>
<BillingAddress>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<City>sample string 3</City>
<State>sample string 4</State>
<PostalCode>sample string 5</PostalCode>
<Country>sample string 6</Country>
<Phone>sample string 7</Phone>
<Fax>sample string 8</Fax>
</BillingAddress>
</UpdateVendor>
Response Information
Resource Description
PublishResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageId |
Check the status of the transaction using this Message Id |
globally unique identifier |
None. |
| Message |
Success Message |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"MessageId": "c7221b33-2cde-4bc2-9174-507dee648552",
"Message": "sample string 2"
}
application/xml, text/xml
Sample:
<PublishResponse xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <MessageId>c7221b33-2cde-4bc2-9174-507dee648552</MessageId> <Message>sample string 2</Message> </PublishResponse>